%define ver_major 1.3
%def_without static

Name: at-spi
Version: %ver_major.8
Release: alt2

Summary: Assistive Technology Service Provider Interface
License: LGPL
Group: System/Libraries
Url: http://developer.gnome.org/projects/gap
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.2.4
%define libbonobo_ver 2.4.1
%define ORBit_ver 2.8.2
%define gail_ver 1.4.1
%define gtk_doc_ver 1.1

Requires: libgtk+2 >= %gtk_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: ORBit2 >= %ORBit_ver
Requires: libgail >= %gail_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: libgail-devel >= %gail_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Tue Sep 09 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs docbook-dtds docbook-style-xsl fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gtk-doc indent libIDL libart_lgpl-devel libatk-devel libbonobo2-devel libexpat libgail-devel libgnomecanvas-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxslt pkgconfig xml-common xsltproc

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n lib%name
Summary: Development libraries and headers for at-spi
Group: System/Libraries

%description -n lib%name
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n lib%name-devel
Summary: Development files for at-spi
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: ORBit2-devel >= %ORBit_ver
Requires: libgail-devel >= %gail_ver

%description -n lib%name-devel
Libraries and header files allowing compilation of apps that use at-spi.

%package -n lib%name-devel-static
Summary: Static libraries for at-spi
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Libraries allowing compilation of statically linked apps that use at-spi.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_bindir

%prep
%setup -q

%build
%configure --enable-static

# SMP-incompatible build
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/gtk-2.0/*/*.la
%__rm -f %buildroot%_libdir/orbit-2.0/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_libdir/gtk-2.0/*/*.a
%__rm -f %buildroot%_libdir/orbit-2.0/*.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_bindir/*
%_libdir/*.so.*
%_libdir/bonobo/*/*
%_libdir/gtk-2.0/*/*.so
%_libdir/orbit-2.0/*.so
%_datadir/idl/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/gtk-2.0/*/*.a
%_libdir/orbit-2.0/*.a
%endif

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.8-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.8-alt1
- 1.3.8 

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.7-alt1
- 1.3.7
- SMP-incompatible build

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.6-alt1
- 1.3.6

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.9-alt1
- 1.1.9

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt2
- buildreqs updated.

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt1
- 1.1.8

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Sat Dec 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt2
- rebuild with new pango, gtk+

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2
- (inger) update buildreqs

* Wed Jun 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- Adopted for Sisyphus.
- 1.0.1

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- add post/postun ldconfig

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- rebuild again?

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 0.12.1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.0.6

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, seems to have been linked incorrectly

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, upgrade to 0.0.5
- add gail deps

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

